org.eclipse.jdt.core

## Interface IJarEntryResource

All Superinterfaces:
  IAdaptable, IStorage

    public interface IJarEntryResource
    extends IStorage

A jar entry corresponding to a non-Java resource in an archive `IPackageFragment` or `IPackageFragmentRoot`.

One can navigate the non-Java resource tree using the `getChildren()` and `getParent()` methods. Jar entry resources are either files (`isFile()` returns true) or directories (`isFile()` returns false). Files don't have any children and the returned array is always empty.

Jar entry resources that refer to the same element are guaranteed to be equal, but not necessarily identical.

Since:
  3.3

### Method Summary

All Methods Instance Methods Abstract Methods
`IJarEntryResource[]` `getChildren()` Returns the list of children of this jar entry resource.
`IPath` `getFullPath()` Returns the full, absolute path of this jar entry resource relative to the archive this jar entry belongs to.
`IPackageFragmentRoot` `getPackageFragmentRoot()` Returns the package fragment root this jar entry resource belongs to.
`Object` `getParent()` Returns the parent of this jar entry resource.
`boolean` `isFile()` Returns `true` if this jar entry represents a file.

### Methods inherited from interface org.eclipse.core.resources.IStorage

`getContents, getName, isReadOnly`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Method Detail

#### getChildren

    IJarEntryResource[] getChildren()

Returns the list of children of this jar entry resource. Returns an empty array if this jar entry is a file, or if this jar entry is a directory and it has no children.

Returns:
  the children of this jar entry resource

#### getFullPath

    IPath getFullPath()

Returns the full, absolute path of this jar entry resource relative to the archive this jar entry belongs to.

A jar entry resource's full path indicates the route from the root of the archive to the jar entry resource. Within an archive, there is exactly one such path for any given jar entry resource.

The returned path is absolute (i.e. it starts with a separator) and it never has a trailing separator.

Specified by:
  `getFullPath` in interface `IStorage`
Returns:
  the absolute path of this jar entry resource

#### getParent

    Object getParent()

Returns the parent of this jar entry resource. This is either an `IJarEntryResource`, an `IPackageFragment` or an `IPackageFragmentRoot`.

Returns:
  the parent of this jar entry resource

#### getPackageFragmentRoot

    IPackageFragmentRoot getPackageFragmentRoot()

Returns the package fragment root this jar entry resource belongs to.

Returns:
  the package fragment root this jar entry resource belongs to.

#### isFile

    boolean isFile()

Returns `true` if this jar entry represents a file. Returns `false` if it is a directory.

Returns:
  whether this jar entry is a file